extends Node

@export var url : String = "localhost"
@export var port : int = 3883

var server : UDPServer = UDPServer.new()

func _ready() -> void:
	server.listen(3883)

func _process(delta: float) -> void:
	server.poll()
	if server.is_connection_available():
		var peer = server.take_connection()
		var packet = peer.get_packet()
		print("Accepted peer: %s:%s" % [peer.get_packet_ip(), peer.get_packet_port()])
		print("Received data: %s" % [packet.get_string_from_utf8()])
		# Reply so it knows we received the message.
		peer.put_packet(packet)
